| Home | Libraries | People | FAQ | More

##### metadata::is_not_null

Returns `true` if the column is not allowed to be NULL, `false` if it is nullable.

###### Synopsis

    bool
    is_not_null() const;

###### Exception safety

No-throw guarantee.

Copyright © 2019-2023 Ruben Perez

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)